/
Ticket Retrieve
Security
bearerAuth
Ticket Retrieve By Locator request payload.
Locator information for the reservation. Contains the unique alphanumeric identifier (PNR or external locator) or cancellation number for the reservation, order, or offer.
- https://api.pp.travelport.net/11https://api.pp.travelport.net/11/air/ticket/tickets/getbylocator
- https://api.travelport.net/11https://api.travelport.net/11/air/ticket/tickets/getbylocator
curl -i -X POST \
https://api.pp.travelport.net/11/air/ticket/tickets/getbylocator \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'TVP-PCC-Core: DU7_1G' \
-H 'TraceId: TraceID_123456789' \
-H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
-H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
-d '{
"@type": "TicketQueryGetByLocator",
"detailViewInd": true,
"Locator": {
"value": "7KPPBF",
"locatorType": "Locator"
},
"TicketNumber": [
{
"value": "0572317564374",
"contentSource": "NDC"
}
]
}'Response
{ "TicketListResponse": { "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [ … ], "Warning": [ … ] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "www.travelport.com", "id": "5", "NextStep": [ … ] }, "ReferenceList": [ null ], "CurrencyRateConversion": [ { … } ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }